#' Extracts the OPG or refined reduction coefficients from an nnsdr class instance
#' 
#' @param object nnsdr class instance
#' @param type specifies if the OPG or Refinement estimate is requested.
#'  One of `Refinement` or `OPG`, default is `Refinement`.
#' @param ... ignored.
#' 
#' @return Matrix
#'
#' @method coef nnsdr
#' @export
coef.nnsdr <- function(object, type, ...) {
    if (missing(type)) {
        object$coef()
    } else {
        object$coef(type)
    }
}
